<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<!-- template designed by Marco Von Ballmoos -->
			<title></title>
			<link rel="stylesheet" href="media/stylesheet.css" />
			<meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1'/>
		</head>
		<body>
						<a name="top"></a>
<h2>[akismet] element index</h2>
	<h3>Package indexes</h3>
	<ul>
				<li><a href="elementindex_Akismet.html">Akismet</a></li>
					</ul>
<a href="elementindex.html">All elements</a>
<br />
<div class="index-letter-menu">
	<a class="index-letter" href="elementindex_akismet.html#a">a</a>
	<a class="index-letter" href="elementindex_akismet.html#g">g</a>
	<a class="index-letter" href="elementindex_akismet.html#i">i</a>
	<a class="index-letter" href="elementindex_akismet.html#s">s</a>
	<a class="index-letter" href="elementindex_akismet.html#_">_</a>
</div>

	<a name="_"></a>
	<div class="index-letter-section">
		<div style="float: left" class="index-letter-title">_</div>
		<div style="float: right"><a href="#top">top</a></div>
		<div style="clear: both"></div>
	</div>
	<dl>
			<dt class="field">
						<span class="method-title">__construct</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/SocketWriteRead.html#method__construct">SocketWriteRead::__construct()</a> in Akismet.class.php</div>
					</dd>
			<dt class="field">
						<span class="method-title">__construct</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html#method__construct">Akismet::__construct()</a> in Akismet.class.php</div>
					</dd>
		</dl>
	<a name="a"></a>
	<div class="index-letter-section">
		<div style="float: left" class="index-letter-title">a</div>
		<div style="float: right"><a href="#top">top</a></div>
		<div style="clear: both"></div>
	</div>
	<dl>
			<dt class="field">
						Akismet
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html">Akismet</a> in Akismet.class.php</div>
							<div class="index-item-description">The Akismet PHP5 Class</div>
					</dd>
		</dl>
	<a name="g"></a>
	<div class="index-letter-section">
		<div style="float: left" class="index-letter-title">g</div>
		<div style="float: right"><a href="#top">top</a></div>
		<div style="clear: both"></div>
	</div>
	<dl>
			<dt class="field">
						<span class="method-title">getErrorNumner</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/SocketWriteRead.html#methodgetErrorNumner">SocketWriteRead::getErrorNumner()</a> in Akismet.class.php</div>
							<div class="index-item-description">Returns the error number</div>
					</dd>
			<dt class="field">
						<span class="method-title">getErrorString</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/SocketWriteRead.html#methodgetErrorString">SocketWriteRead::getErrorString()</a> in Akismet.class.php</div>
							<div class="index-item-description">Returns the error string</div>
					</dd>
			<dt class="field">
						<span class="method-title">getResponse</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/SocketWriteRead.html#methodgetResponse">SocketWriteRead::getResponse()</a> in Akismet.class.php</div>
							<div class="index-item-description">Returns the server response text</div>
					</dd>
		</dl>
	<a name="i"></a>
	<div class="index-letter-section">
		<div style="float: left" class="index-letter-title">i</div>
		<div style="float: right"><a href="#top">top</a></div>
		<div style="clear: both"></div>
	</div>
	<dl>
			<dt class="field">
						<span class="method-title">isCommentSpam</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html#methodisCommentSpam">Akismet::isCommentSpam()</a> in Akismet.class.php</div>
							<div class="index-item-description">Tests for spam.</div>
					</dd>
		</dl>
	<a name="s"></a>
	<div class="index-letter-section">
		<div style="float: left" class="index-letter-title">s</div>
		<div style="float: right"><a href="#top">top</a></div>
		<div style="clear: both"></div>
	</div>
	<dl>
			<dt class="field">
						<span class="method-title">send</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/SocketWriteRead.html#methodsend">SocketWriteRead::send()</a> in Akismet.class.php</div>
							<div class="index-item-description">Sends the data to the remote host.</div>
					</dd>
			<dt class="field">
						<span class="method-title">setAkismetServer</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html#methodsetAkismetServer">Akismet::setAkismetServer()</a> in Akismet.class.php</div>
							<div class="index-item-description">Defaults to rest.akismet.com</div>
					</dd>
			<dt class="field">
						<span class="method-title">setAkismetVersion</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html#methodsetAkismetVersion">Akismet::setAkismetVersion()</a> in Akismet.class.php</div>
							<div class="index-item-description">Defaults to '1.1'</div>
					</dd>
			<dt class="field">
						<span class="method-title">setAPIPort</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html#methodsetAPIPort">Akismet::setAPIPort()</a> in Akismet.class.php</div>
							<div class="index-item-description">Defaults to 80</div>
					</dd>
			<dt class="field">
						<span class="method-title">setCommentAuthor</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html#methodsetCommentAuthor">Akismet::setCommentAuthor()</a> in Akismet.class.php</div>
							<div class="index-item-description">The name that the author submitted with the comment.</div>
					</dd>
			<dt class="field">
						<span class="method-title">setCommentAuthorEmail</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html#methodsetCommentAuthorEmail">Akismet::setCommentAuthorEmail()</a> in Akismet.class.php</div>
							<div class="index-item-description">The email address that the author submitted with the comment.</div>
					</dd>
			<dt class="field">
						<span class="method-title">setCommentAuthorURL</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html#methodsetCommentAuthorURL">Akismet::setCommentAuthorURL()</a> in Akismet.class.php</div>
							<div class="index-item-description">The URL that the author submitted with the comment.</div>
					</dd>
			<dt class="field">
						<span class="method-title">setCommentContent</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html#methodsetCommentContent">Akismet::setCommentContent()</a> in Akismet.class.php</div>
							<div class="index-item-description">The comment's body text.</div>
					</dd>
			<dt class="field">
						<span class="method-title">setCommentType</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html#methodsetCommentType">Akismet::setCommentType()</a> in Akismet.class.php</div>
							<div class="index-item-description">The type of comment being submitted.</div>
					</dd>
			<dt class="field">
						<span class="method-title">setPermalink</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html#methodsetPermalink">Akismet::setPermalink()</a> in Akismet.class.php</div>
							<div class="index-item-description">A permanent URL referencing the blog post the comment was submitted to.</div>
					</dd>
			<dt class="field">
						<span class="method-title">setReferrer</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html#methodsetReferrer">Akismet::setReferrer()</a> in Akismet.class.php</div>
							<div class="index-item-description">To override the referring page when submitting spam/ham later on</div>
					</dd>
			<dt class="field">
						<span class="method-title">setUserIP</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html#methodsetUserIP">Akismet::setUserIP()</a> in Akismet.class.php</div>
							<div class="index-item-description">To override the user IP address when submitting spam/ham later on</div>
					</dd>
			<dt class="field">
						SocketWriteRead
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/SocketWriteRead.html">SocketWriteRead</a> in Akismet.class.php</div>
							<div class="index-item-description">Utility class used by Akismet</div>
					</dd>
			<dt class="field">
						<span class="method-title">submitHam</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html#methodsubmitHam">Akismet::submitHam()</a> in Akismet.class.php</div>
							<div class="index-item-description">Submit ham that is incorrectly tagged as spam.</div>
					</dd>
			<dt class="field">
						<span class="method-title">submitSpam</span>
					</dt>
		<dd class="index-item-body">
			<div class="index-item-details"><a href="akismet/Akismet.html#methodsubmitSpam">Akismet::submitSpam()</a> in Akismet.class.php</div>
							<div class="index-item-description">Submit spam that is incorrectly tagged as ham.</div>
					</dd>
		</dl>

<div class="index-letter-menu">
	<a class="index-letter" href="elementindex_akismet.html#a">a</a>
	<a class="index-letter" href="elementindex_akismet.html#g">g</a>
	<a class="index-letter" href="elementindex_akismet.html#i">i</a>
	<a class="index-letter" href="elementindex_akismet.html#s">s</a>
	<a class="index-letter" href="elementindex_akismet.html#_">_</a>
</div>	</body>
</html>